const express = require("express");
const router = express.Router();

const {
  getAllMemory,
  addMemoryImages,
  deleteImage,
  getForDashall,
} = require("../controllers/memoryController");
const uploadMiddleware = require("../middleware/memoryMiddleware");

router.post("/", uploadMiddleware.array("Image", 15), addMemoryImages);
router.get("/", getAllMemory);
router.delete("/:idMemory", deleteImage);
router.get("/get-all-dash", getForDashall);

module.exports = router;
